function plot_magnetic_fieldz
save_filename='magentic_flux_z';
datalist=[0.01,0.02,0.03,0.04,0.05];
minx=1;
maxx=5
for i_number=1:5
filename=strcat(num2str(datalist(i_number)),'.csv');
c1=dlmread(filename,',',9,0);
c1=sortrows(c1,1);
c2=sortrows(c1,1,'descend');
c1=[[-c2(:,1),c2(:,2:end)];c1];
x1=[c1(:,1)*1000];
y1=[c1(:,4)*1000];
plot(x1,y1,'color',getColor(i_number,minx,maxx));
box('on');
clear c1 x1 y1
hold on;
end
hold off;
xlabel('R (mm)');
ylabel('Magnetic flux density B_{Z}(mT)')
% legend1=legend('H=10 mm','H=20 mm','H=30 mm','H=40 mm','H=50 mm');
% legend('boxoff');
ylim([0,350]);
% xlim([0,18]);


function color = getColor(value, min, max)
set(groot,'DefaultFigureColormap',cool)
 cmap = get(groot,'defaultfigurecolormap');
 [m, ~] = size(cmap);
 row = round(((max-value+1)/(max-min+1))*(m-1)) + 1;
 color = cmap(row, :);  
 row
display(color)