function plot_the_fieldR_for_article
close all;
figure1 = figure;
       p00 =    0.002769
       p10 =       2.501
       p01 =     -0.7488
       p20 =      -94.66  
       p11 =       354.7  
       p02 =      -14.47  
       p30 =        3533  
       p21 =        6693  
       p12 =   -2.49e+04  
       p03 =        2961  
       p40 =   2.407e+04  
       p31 =  -4.705e+05  
       p22 =    3.79e+05  
       p13 =    2.71e+05  
       p04 =  -4.231e+04  
       p50 =   3.864e+05  
       p41 =  -2.656e+06  
       p32 =    1.23e+07  
       p23 =  -1.324e+07  
       p14 =   2.785e+06  
       p05 =   -2.24e+05
% Create axes
axes1 = axes('Parent',figure1);
hold(axes1,'on');
c=dlmread('For_comparasion.csv');

length(c)
step=1;
x1=c(1:step:end,1);%R
y1=c(1:step:end,2)-c(1,2);% Z in simulation, the reference point is not z, actually z0=15 mm
z1=c(1:step:end,3);%amplitude
xx1=0:0.0005:0.05;
yy1=0:0.0005:0.05;
% [x,y,z]=meshgrid(x1,y1,z1);
[x,y]=meshgrid(xx1,yy1);
zfitting = p00 + p10.*x + p01.*y + p20*x.^2 + p11*x.*y + p02*y.^2 + p30*x.^3....
+ p21*x.^2.*y + p12.*x.*y.^2 + p03.*y.^3 + p40.*x.^4 + p31.*x.^3.*y....
+ p22*x.^2.*y.^2 + p13*x.*y.^3 + p04.*y.^4 + p50*x.^5 + p41*x.^4.*y....
+ p32*x.^3.*y.^2 + p23*x.^2.*y.^3 + p14*x.*y.^4 + p05*y.^5;
zexperiment=x./x;
size_z=length(zexperiment); 
zexperiment=new_data(zexperiment,size_z,x1,y1,z1);%Z 
% contour(X,Y,Z,'ShowText','on')
% surf(x,y,zfitting);
contour(x*1000,y*1000,zfitting*1000,[0,0.1,0.2,0.3,0.4,0.5]*1000,'ShowText','on')
hold on;
contour(x*1000,y*1000,zexperiment*1000,[0,0.1,0.2,0.3,0.4,0.5]*1000,'--')
legend('Simulation','Fitting')
% surf(x,y,zexperiment)
% [fitsurface,golf]=fit([x,y],z,'poly55');
% plot(fitsurface,[x,y],z)
% plot3(x1,y1,z1,'*')
% view(axes1,[-37.5 30]);
legend('box','off')
xlabel('R (mm)');
ylabel('Z (mm)');
box(axes1,'on');
hold off



function transdata=new_data(zexperiment,size_z,x1,y1,z1)
transdata=zexperiment.*0;
for R_data=1:size_z
    for Z_data=1:size_z
        transdata(R_data,Z_data)=transdata(R_data,Z_data)+z1((Z_data-1)*size_z+R_data);
        hold on;
    end
end