function plot_the_fieldZ_for_article
close all;
figure1 = figure;
       p00 =      0.3377  
       p10 =      -1.042  
       p01 =      -4.084  
       p20 =       86.43  
       p11 =       166.2  
       p02 =      -186.2  
       p30 =        1322  
       p21 =  -2.376e+04  
       p12 =        7570  
       p03 =        2277  
       p40 =   6.857e+04  
       p31 =  -1.992e+05  
       p22 =    1.01e+06  
       p13 =  -6.293e+05  
       p04 =   1.284e+05  
       p50 =  -2.499e+06  
       p41 =   7.097e+06  
       p32 =  -6.716e+06  
       p23 =  -6.506e+06  
       p14 =   7.551e+06  
       p05 =  -2.118e+06  
% Create axes
axes1 = axes('Parent',figure1);
hold(axes1,'on');
c=dlmread('For_comparasion.csv');

length(c)
step=1;
x1=c(1:step:end,1);%R
y1=c(1:step:end,2)-c(1,2);% Z in simulation, the reference point is not z, actually z0=15 mm
z1=c(1:step:end,4);%amplitude
xx1=0:0.0005:0.05;
yy1=0:0.0005:0.05;
% [x,y,z]=meshgrid(x1,y1,z1);
[x,y]=meshgrid(xx1,yy1);
zfitting = p00 + p10.*x + p01.*y + p20*x.^2 + p11*x.*y + p02*y.^2 + p30*x.^3....
+ p21*x.^2.*y + p12.*x.*y.^2 + p03.*y.^3 + p40.*x.^4 + p31.*x.^3.*y....
+ p22*x.^2.*y.^2 + p13*x.*y.^3 + p04.*y.^4 + p50*x.^5 + p41*x.^4.*y....
+ p32*x.^3.*y.^2 + p23*x.^2.*y.^3 + p14*x.*y.^4 + p05*y.^5;
zexperiment=x./x;
size_z=length(zexperiment); 
zexperiment=new_data(zexperiment,size_z,x1,y1,z1);%Z 
% contour(X,Y,Z,'ShowText','on')
% surf(x,y,zfitting);
contour(x*1000,y*1000,zfitting*1000,[0,0.1,0.2,0.3,0.4,0.5]*1000,'ShowText','on')
hold on;
contour(x*1000,y*1000,zexperiment*1000,[0,0.1,0.2,0.3,0.4,0.5]*1000,'--')
legend('Simulation','Fitting')
% surf(x,y,zexperiment)
% [fitsurface,golf]=fit([x,y],z,'poly55');
% plot(fitsurface,[x,y],z)
% plot3(x1,y1,z1,'*')
% view(axes1,[-37.5 30]);
legend1=legend('box','off')
xlabel('R (mm)');
ylabel('Z (mm)');
box(axes1,'on');
hold off


function transdata=new_data(zexperiment,size_z,x1,y1,z1)
transdata=zexperiment.*0;
for R_data=1:size_z
    for Z_data=1:size_z
        transdata(R_data,Z_data)=transdata(R_data,Z_data)+z1((Z_data-1)*size_z+R_data);
        hold on;
    end
end